# Makefile for the I/O benchmark -- sphere (SGI)

# objects
OBJS = multifluid.o \
       init_mat.o \
       flash_release.o \
       flash_benchmark_io.o 

OBJS_F77_IO = checkpoint_f77_unf.o

OBJS_HDF5_PARALLEL_IO = checkpoint_hdf5_parallel.o \
                        plotfile_hdf5_parallel.o \
                        h5_file_interface.o \
                        h5_parallel_write.o \
                        h5_parallel_write_single.o

# compiler and linker commands
FCOMP   = mpif90
CCOMP   = mpicc
CPPCOMP = mpiCC
LINK    = mpif90 -cougar


# library locations
HDF5path = /usr/community/hdf5/hdf5-1_4_0/
ZLIBpath = /usr/community/hdf5/ZLIB

# compiler flags
FFLAGS = -c -fast -r8 \
         -DN_DIM=3 -DMAXBLOCKS=100 -DIONMAX=13

F90FLAGS = 

CFLAGS = -c -fast -I $(HDF5path)/include/ -DTFLOPS -DN_DIM=3


# linker flags
LFLAGS = -o 



# libraries to include
LIB = -L $(HDF5path)/lib -lhdf5 -L$(ZLIBpath)/lib -lz -lnoop_stubs


.F.o :
	$(FCOMP) $(FFLAGS) $<

.f.o :
	$(FCOMP) $(FFLAGS) $<

.c.o :
	$(CCOMP) $(CFLAGS) $<

flash_benchmark_io: $(OBJS) \
                    $(OBJS_F77_IO) \
                    $(OBJS_HDF5_PARALLEL_IO) 
	$(LINK) $(LFLAGS) $@ $(OBJS) $(OBJS_F77_IO) $(OBJS_HDF5_PARALLEL_IO) $(LIB)









