!******************************************************************************

!  Routine:	init_materials()

!  Description:	Initializes the materials module, in particular the multifluid
!		database and the equation of state.  This version sets up
!		two tracer fluids for the Rayleigh-Taylor problem.


	subroutine init_materials

!==============================================================================

#include "common.fh"

!==============================================================================

!		Set up the multifluid database.

	call init_mfluid_db (ionmax)		! ionmax will be replaced by a
						! runtime parameter
	if (ionmax .EQ. 13) then

	   call add_fluid_to_db("fluid 1", "f1", A=1.,Z=1.)
	   call add_fluid_to_db("fluid 2", "f2", A=1.,Z=1.)
	   call add_fluid_to_db("fluid 3", "f3", A=1.,Z=1.)
	   call add_fluid_to_db("fluid 4", "f4", A=1.,Z=1.)
	   call add_fluid_to_db("fluid 5", "f5", A=1.,Z=1.)
	   call add_fluid_to_db("fluid 6", "f6", A=1.,Z=1.)
	   call add_fluid_to_db("fluid 7", "f7", A=1.,Z=1.)
	   call add_fluid_to_db("fluid 8", "f8", A=1.,Z=1.)
	   call add_fluid_to_db("fluid 9", "f9", A=1.,Z=1.)
	   call add_fluid_to_db("fluid 10","f10",A=1.,Z=1.)
	   call add_fluid_to_db("fluid 11","f11",A=1.,Z=1.)
	   call add_fluid_to_db("fluid 12","f12",A=1.,Z=1.)
	   call add_fluid_to_db("fluid 13","f13",A=1.,Z=1.)

	elseif (ionmax .EQ. 2) then

	   call add_fluid_to_db("fluid 1", "f1", A=1.,Z=1.)
	   call add_fluid_to_db("fluid 2", "f2", A=1.,Z=1.)

	else

	   print *, 'Error unsupported number of isotopes'

	endif

!==============================================================================

	return
	end
